# Jito

### Supported Chains

Available on **Solana**

### Available Endpoints:

*Click on the endpoint to jump to the section with full details*

* [<mark style="color:blue;">**getapr**</mark>](#getapr) <mark style="color:blue;">`GET`</mark> - Get the Jito staking APR.
* [<mark style="color:blue;">**getrewards**</mark> ](#getrewards)<mark style="color:blue;">`GET`</mark> - Get the initial staked amount and current staked value by a specified user address.
* [<mark style="color:blue;">**getstake**</mark>](#getstake) <mark style="color:blue;">`GET`</mark> -Get the stake amount for a particular address.
* [<mark style="color:blue;">**Stake**</mark>](#stake) <mark style="color:green;">`POST`</mark> - Initiate a transaction to stake on Jito protocol.
* [<mark style="color:blue;">**requestwithdrawal**</mark> ](#requestwithdrawal)<mark style="color:green;">`POST`</mark> - Initiate a withdrawal request on Jito.

*Also see* [<mark style="color:blue;">Error Handling Details</mark>](#error-handling-details)

## Liquid Staking IDs

Many endpoints have a parameter where you can provide a Liquid Staking ID.&#x20;

Below is a list of Liquid Staking IDs related to Jito. For a complete list and more information, please see the [liquid staking ID](/ids/liquid-staking-ids.md) page.

<table><thead><tr><th width="275">Liquid Staking Name</th><th>Chain</th><th>Liquid Staking ID</th></tr></thead><tbody><tr><td>Jito Network</td><td>Solana</td><td>900</td></tr></tbody></table>

## Endpoint Details

### /getapr

#### Get the Jito staking APR.

<mark style="color:blue;">`GET`</mark> `https://api.expand.network/liquidstaking/getapr`

#### Query Parameters

| Name            | Type   | Description                                                                    |
| --------------- | ------ | ------------------------------------------------------------------------------ |
| rpc             | String | Remote procedural call URL.                                                    |
| liquidStakingId | String | Refer to the [Liquid Staking Id](/ids/liquid-staking-ids.md) page for details. |

{% tabs %}
{% tab title="Sample Request" %}

```url
https://api.expand.network/liquidstaking/getapr?liquidStakingId=900
```

{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "status": 200,
    "msg": "success",
    "data": {
        "timeUnix": "1729519201",
        "apr": "7.92",
        "blockNumber": "296879404"
    }
}
```

{% endtab %}
{% endtabs %}

[<mark style="color:blue;">back to top</mark>](#endpoints-available)

### /getrewards

#### Get the initial staked amount and current staked value by a specified user address.

<mark style="color:blue;">`GET`</mark> `https://api.expand.network/liquidstaking/getrewards`

#### Query Parameters

<table><thead><tr><th width="182">Name</th><th width="159">Type</th><th>Description</th></tr></thead><tbody><tr><td>rpc</td><td>String</td><td>Remote procedural call URL.</td></tr><tr><td>liquidStakingId</td><td>String</td><td>Refer to the <a href="/pages/u3rku1i5idIPw6PiPmmH">Liquid Staking Id</a> page for details.</td></tr><tr><td>address<mark style="color:red;">*</mark></td><td>String</td><td>Public address of the user.</td></tr></tbody></table>

{% tabs %}
{% tab title="Sample Request" %}

```url
https://api.expand.network/liquidstaking/getrewards?liquidStakingId=900&address=bxnWxiRkGpwUzJBSWAecFVFS44L48sGbJrFw23uzDBc
```

{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "status": 200,
    "msg": "success",
    "data": {
        "stakedAmount": "17208357980018603",
        "stakeValue": "20073834784345071"
    }
}
```

{% endtab %}
{% endtabs %}

[<mark style="color:blue;">back to top</mark>](#endpoints-available)

### /getstake

#### Get the stake amount for a particular address.

<mark style="color:blue;">`GET`</mark> `https://api.expand.network/liquidstaking/getstake`

#### Query Parameters

<table><thead><tr><th width="190">Name</th><th width="167">Type</th><th>Description</th></tr></thead><tbody><tr><td>rpc</td><td>String</td><td>Remote procedural call URL.</td></tr><tr><td>liquidStakingId</td><td>String</td><td>Refer to the <a href="/pages/u3rku1i5idIPw6PiPmmH">Liquid Staking Id</a> page for details.</td></tr><tr><td>address<mark style="color:red;">*</mark></td><td>String</td><td>Public address of the user.</td></tr></tbody></table>

{% tabs %}
{% tab title="Sample Request" %}

```url
https://api.expand.network/liquidstaking/getstake?liquidStakingId=900&address=9HJuxDecTUKDWonwVEbGnGEwnSY86rSRcdQe4rNKKQry
```

{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "status": 200,
    "msg": "success",
    "data": {
        "jitoSOL": "17208357980018603"
    }
}
```

{% endtab %}
{% endtabs %}

[<mark style="color:blue;">back to top</mark>](#endpoints-available)

### /stake

#### Initiate a transaction to stake on Jito.

<mark style="color:green;">`POST`</mark> `https://api.expand.network/liquidstaking/stake`

#### Request Body

<table><thead><tr><th width="214">Name</th><th width="141">Type</th><th>Description</th></tr></thead><tbody><tr><td>rpc</td><td>String</td><td>Remote procedural call URL.</td></tr><tr><td>liquidStakingId</td><td>String</td><td>Refer to the <a href="/pages/u3rku1i5idIPw6PiPmmH">Liquid Staking Id</a> page for details.</td></tr><tr><td>from<mark style="color:red;">*</mark></td><td>String</td><td>Public address of the owner of this request.</td></tr><tr><td>amount<mark style="color:red;">*</mark></td><td>String</td><td>Amount of token to stake.</td></tr></tbody></table>

{% tabs %}
{% tab title="Sample Request" %}

```json
{
    "liquidStakingId": "900",
    "amount": "10000000",
    "from": "67yiWoBFGmHd4r5AVGkmmE64okVmCgnYBwufxgoqcLmo"
}
```

{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "status": 200,
    "msg": "success",
    "data": {
        "chainId": "900",
        "from": "67yiWoBFGmHd4r5AVGkmmE64okVmCgnYBwufxgoqcLmo",
        "to": "Jito4APyf642JPZPx3hGc6WWJ8zPKtRbRs4P815Awbb",
        "data": "AgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAFDEwUDFZqeozpMRjta3iDP6Owdij8OKmd8K86PMapNehKp20wm8Gdp9IOyCEi7ZlK8lA7Ddb9RkA44HNhlPggtN2ep2j+32RMiq6bjiGIrdBrxVD79xbIIrnOY8d4PZUuHwnmo/7s+ZAy4cHfa5ci3LNjTnuONECTa8NLDMHI61If/NFB6YMsrxCtkXSVyg8nG1spPNRwJ+pzcAftQOs5oL0Eij4Iw7SVvhf0VCfYm+xbgMfiaVwYZNdnQ9s5vtNG1gd0gnoRKhFDRgaVqek3K8E/8xU2QSLAz3GdlTbvN73nAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABU5Z4kwFGooUp7HpeX8OEs36dJAhZlMZWmpRKm8WZgK4yXJY9OJInxuz0QKRSODYMLWhOZ2v8QhASOe9jb6fhZBoFO1Mr2ihdGcv2shgMaY+hOoV76HUS3IpP229sAFlAG3fbh12Whk9nL4UbO63msHLSF7V9bN5E6jPWFfv8AqSsm1R2neGolMuqF9Lj5T1I3MA6jBnOQCfzygSeJiR14AwcCAAEMAgAAAICWmAAAAAAACQYABgAEBwsBAQoKBQgCAQYDBgQHCwkOgJaYAAAAAAA=",
        "additionalSigners": "5EosQqnkFNmQ4UcrkNPpgyDxyXwfr2NXBqpsf69LknQjAujbkUDJYPmtWBrG1csgid8MtU2eQRmpaqiPgDon9HUp",
        "referenceId": "8b175dd9da0244edb4cebe400969029e"
    }
}
```

{% endtab %}
{% endtabs %}

[<mark style="color:blue;">back to top</mark>](#endpoints-available)

### /requestwithdrawal

#### Initiate a transaction to request a withdrawal on Jito.

<mark style="color:green;">`POST`</mark> `https://api.expand.network/liquidstaking/requestwithdrawal`

#### Request Body

<table><thead><tr><th width="182">Name</th><th width="143">Type</th><th>Description</th></tr></thead><tbody><tr><td>rpc</td><td>String</td><td>Remote procedural call URL.</td></tr><tr><td>liquidStakingId</td><td>String</td><td>Refer to the <a href="/pages/u3rku1i5idIPw6PiPmmH">Liquid Staking Id</a> page for details.</td></tr><tr><td>from<mark style="color:red;">*</mark></td><td>String</td><td>Public address of the owner of this request.</td></tr><tr><td>amount<mark style="color:red;">*</mark></td><td>String</td><td>Amount of tokens to request withdrawal.</td></tr></tbody></table>

{% tabs %}
{% tab title="Sample Request" %}

```json
{
    "liquidStakingId": "900",
    "amount": "1000",
    "from": "67yiWoBFGmHd4r5AVGkmmE64okVmCgnYBwufxgoqcLmo"
}
```

{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "status": 200,
    "msg": "success",
    "data": {
        "chainId": "900",
        "from": "67yiWoBFGmHd4r5AVGkmmE64okVmCgnYBwufxgoqcLmo",
        "to": "Jito4APyf642JPZPx3hGc6WWJ8zPKtRbRs4P815Awbb",
        "data": "AgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgEGDUwUDFZqeozpMRjta3iDP6Owdij8OKmd8K86PMapNehK/dY31Lekj0q/WzBH+WS5QHkVRIuvgR8qMjYZov9f7sCep2j+32RMiq6bjiGIrdBrxVD79xbIIrnOY8d4PZUuHwnmo/7s+ZAy4cHfa5ci3LNjTnuONECTa8NLDMHI61If/NFB6YMsrxCtkXSVyg8nG1spPNRwJ+pzcAftQOs5oL0Eij4Iw7SVvhf0VCfYm+xbgMfiaVwYZNdnQ9s5vtNG1gd0gnoRKhFDRgaVqek3K8E/8xU2QSLAz3GdlTbvN73nVOWeJMBRqKFKex6Xl/DhLN+nSQIWZTGVpqUSpvFmYCsGgU7UyvaKF0Zy/ayGAxpj6E6hXvodRLcik/bb2wAWUAah2BeRN1QqmDQ3vf4qerJVf1NcinhyK2ikncAAAAAABqfVFxjHdMkoVmOYaR1etoteuKObS21cc1VbIQAAAAAGp9UXGTWE0P7tm7NDHRMga+VEKBtXuFZsxTdf9AAAAAbd9uHXZaGT2cvhRs7reawctIXtX1s3kTqM9YV+/wCpPLBnwnf6ubVN8fjUrdhNq0x7G1bCjaHjRKCUn0/agaYCDAMGAQAJBOgDAAAAAAAACAwFBwEGAgADBAoLCQwJEOgDAAAAAAAA",
        "additionalSigners": "2hoNJ7hNSnPMwKXHmViGkb8fmfMDta2KeY6MhNiHG96edtBGegWsXfPxgN2WLEVxBfYB7DmUQJsm4RRjBi9rkJBH",
        "referenceId": "dcc1f69bf5404578a5456f7d88a3aa5e"
    }
}
```

{% endtab %}
{% endtabs %}

[<mark style="color:blue;">back to top</mark>](#endpoints-available)

### Error Handling Details

<table><thead><tr><th width="253">Error</th><th>Description</th></tr></thead><tbody><tr><td>400 (Bad Request)</td><td>Indicates the request is invalid or missing the required parameters. The msg field will contain details about the error.</td></tr><tr><td>401 (Unauthorised)</td><td>Indicates the request lacks valid authentication credentials (API key). Ensure that you provide a valid API key in the request headers.</td></tr><tr><td>404 (Not Found)</td><td>Indicates that the specified endpoint or resource does not exist.</td></tr><tr><td>500 (Server Error)</td><td>Indicates an internal server error.</td></tr></tbody></table>

[<mark style="color:blue;">back to top</mark>](#endpoints-available)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.expand.network/integrations/liquid-staking/jito.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
